aboutsummaryrefslogtreecommitdiffstats
path: root/do-link
diff options
context:
space:
mode:
Diffstat (limited to 'do-link')
-rwxr-xr-xdo-link8
1 files changed, 8 insertions, 0 deletions
diff --git a/do-link b/do-link
new file mode 100755
index 0000000..189e899
--- /dev/null
+++ b/do-link
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -e
+type=$1
+. "$2" # .do file which we are "interpreting"
+redo-ifchange "$0" "link-$type.tool" "${objects[@]}"
+shift 2
+. "./link-$type.tool"
+"${cmd[@]}"